dht::crypto::TrustList Struct Reference

## Classes

struct | VerifyResult

## Public Member Functions

| TrustList (TrustList &&o)
TrustList & | operator= (TrustList &&o)
void | add (const Certificate &crt)
void | add (const RevocationList &crl)
void | remove (const Certificate &crt, bool parents=true)
VerifyResult | verify (const Certificate &crt) const

## Detailed Description

Definition at line 468 of file crypto.h.

## Constructor & Destructor Documentation

## TrustList()

dht::crypto::TrustList::TrustList | ( | TrustList && | o | ) |

inline

Definition at line 481 of file crypto.h.

The documentation for this struct was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/crypto.h